Click or drag to resize

DisplayPipelineDrawGradientHatch Method (Hatch, IEnumerableColorStop, Point3d, Point3d, Boolean, Single, Single, Color)

[Missing <summary> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientHatch(Rhino.Geometry.Hatch,System.Collections.Generic.IEnumerable{Rhino.Display.ColorStop},Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single,System.Single,System.Drawing.Color)"]

Namespace:  Rhino.Display
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public void DrawGradientHatch(
	Hatch hatch,
	IEnumerable<ColorStop> stops,
	Point3d point1,
	Point3d point2,
	bool linearGradient,
	float repeat,
	float boundaryThickness,
	Color boundaryColor
)

Parameters

hatch
Type: Rhino.GeometryHatch

[Missing <param name="hatch"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientHatch(Rhino.Geometry.Hatch,System.Collections.Generic.IEnumerable{Rhino.Display.ColorStop},Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single,System.Single,System.Drawing.Color)"]

stops
Type: System.Collections.GenericIEnumerableColorStop

[Missing <param name="stops"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientHatch(Rhino.Geometry.Hatch,System.Collections.Generic.IEnumerable{Rhino.Display.ColorStop},Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single,System.Single,System.Drawing.Color)"]

point1
Type: Rhino.GeometryPoint3d

[Missing <param name="point1"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientHatch(Rhino.Geometry.Hatch,System.Collections.Generic.IEnumerable{Rhino.Display.ColorStop},Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single,System.Single,System.Drawing.Color)"]

point2
Type: Rhino.GeometryPoint3d

[Missing <param name="point2"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientHatch(Rhino.Geometry.Hatch,System.Collections.Generic.IEnumerable{Rhino.Display.ColorStop},Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single,System.Single,System.Drawing.Color)"]

linearGradient
Type: SystemBoolean

[Missing <param name="linearGradient"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientHatch(Rhino.Geometry.Hatch,System.Collections.Generic.IEnumerable{Rhino.Display.ColorStop},Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single,System.Single,System.Drawing.Color)"]

repeat
Type: SystemSingle

[Missing <param name="repeat"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientHatch(Rhino.Geometry.Hatch,System.Collections.Generic.IEnumerable{Rhino.Display.ColorStop},Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single,System.Single,System.Drawing.Color)"]

boundaryThickness
Type: SystemSingle

[Missing <param name="boundaryThickness"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientHatch(Rhino.Geometry.Hatch,System.Collections.Generic.IEnumerable{Rhino.Display.ColorStop},Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single,System.Single,System.Drawing.Color)"]

boundaryColor
Type: System.DrawingColor

[Missing <param name="boundaryColor"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientHatch(Rhino.Geometry.Hatch,System.Collections.Generic.IEnumerable{Rhino.Display.ColorStop},Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single,System.Single,System.Drawing.Color)"]

See Also